
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html{
  font-size: 10px;
  font-family: 'Rajdhani', sans-serif;

}
body{
  overflow-x: hidden;
}
a{
  text-decoration: none;
  color: #900C3F;
}
#particles-js{
  background-image: linear-gradient(to bottom, rgba(250, 250, 250,.8), rgba(0,0,0,.5)), url(bg.jpg);
  background-size: cover;
  height: 100vh;
  width: 100%;
  position: relative;
  justify-content: center;
  text-align: center;
}
.container{
  display: flex;
  justify-content: space-around;
  margin-left: 50px;
}

.container2{
  max-width: 120rem;
  width: 90%; 
  
}
nav{
  padding-top: 5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 1.6rem;

}
.brand{
  font-size: 3rem;
  font-weight: 300;
  transform: translateX(-100rem);
  animation: slideIn .5s forwards;
  margin-left: 100px;

}
.brand a{
  font-weight: bold;
  color: #900C3F;
} 
.brand a:hover{
  color: #fff;
  text-decoration: none;
  font-weight: bold;
} 


nav ul{
  display: flex;
}

nav ul li{
  list-style: none;
  transform: translateX(100rem);
  animation: slideIn .5s forwards;
}
nav ul li:nth-child(1){
animation-delay: 0s;
}
nav ul li:nth-child(2){
animation-delay: 0.5s;
}
nav ul li:nth-child(3){
animation-delay: 1s;
}
nav ul li:nth-child(4){
animation-delay: 1.5s;
}
nav ul li a{
  padding: 1rem 0;
  margin: 0 3rem;
  position: relative;
  letter-spacing: 2px;

}
nav ul li a:hover{
text-decoration: none;
color: #C70039;
}
nav ul li a:last-child{
  margin-right: 0;
}

nav ul li a::before, nav ul li a::after{
content: "";
position: absolute;
width: 100%;
height: 2px;
background-color: #000;
left: 0;
transform: scaleX(0);
transition: all .5s;
}

nav ul li a::before{
  top: 0;
  transform-origin: left;
}
nav ul li a::after{
  bottom: 0;
  transform-origin: right;
}

nav ul li a:hover::before, nav ul li a:hover::after{
  
  transform: scaleX(1);
}

@keyframes slideIn{
  from{

  }
  to{
    transform: translateX(0);
  }
}

.hero-content-area{
  position: relative;
  top: 150px;
  z-index: 1;
  margin-top: 100px;
  opacity: 0;
  animation: 1s slidefade 1s forwards;
}
.hero-content-area h1{
  font-family: 'Rajdhani', sans-serif;
  font-size: 3rem;
  letter-spacing: 2px;
  font-weight: bold;
  color: #fff;
  margin-bottom: 10px;
}
.hero-content-area h3{
  font-family: 'Rajdhani', sans-serif;
  font-size: 2rem;
  letter-spacing: 1px;
  font-weight: bold;
  color: #fff;
  margin-bottom: 10px;
}

@keyframes slidefade {
  100% {
    opacity: 1;
    margin: 0;
  }
}
.btn{
  padding: 10px 20px;
}
section h2.title {
  text-transform: capitalize;
  font: bold 32px 'Rajdhani', sans-serif;
  margin-bottom: 20px;
  text-align: center;
}

section p {
  font: 1.5rem 'Rajdhani', sans-serif;
  max-width: 775px;
  line-height: 2;
  padding: 0 20px;
  margin-bottom: 30px;
  text-align: center;
}
section {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 100px 80px;
}

section:not(.hero):nth-child(even) {
  background-color: #f5f5f5;
}

hr {
    width: 250px;
    height: 3px;
    background-color: #900C3F;
    border: 0;
    margin-bottom: 50px;
  }
  .grid {
    width: 100%;
    display: flex;
    justify-content: center;

  }
  
.packages .grid li {
    padding: 50px;
    flex-basis: 50%;
    text-align: center;
    list-style: none;
  }

  .packages .grid li i {
    color: #FFC300  ;
  }
  .packages .grid li h4 {
    font-size: 30px;
    margin: 25px 0;
  }
  #main-content{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

 .parallax{
   /* The image used */
  background-image: url(architecture.jpg);

  /* Set a specific height */
  max-width: 650px;
  height: 700px;
  width: 100%; 
  margin-left: -75px;
  

  /* Create the parallax scrolling effect */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

 }

 .content .title{
  font-family: 'Rajdhani', sans-serif;
  font-size: 4rem;
  text-transform: uppercase;
  margin-left: 40px;


 }
.inf{
    width: 250px;
    height: 3px;
    background-color: #900C3F;
    border: 0;
  margin-left: 45px;
  margin-top: 10px;
  margin-bottom: 10px;

}
.parallax2{
   /* The image used */
  background-image: url(structure.jpeg);

  /* Set a specific height */
  max-width: 650px;
  height: 600px;
  width: 100%; 
  margin-right: -75px;
  margin-bottom:0px; 

  /* Create the parallax scrolling effect */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

 }
 .parallax3{
   /* The image used */
  background-image: url(structure.jpg);

  /* Set a specific height */
  max-width: 650px;
  height: 600px;
  width: 100%; 
  margin-right: -75px;
  margin-bottom:0px; 

  /* Create the parallax scrolling effect */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

 }

 .parallax4{
   /* The image used */
  background-image: url(3D.jpeg);

  /* Set a specific height */
  max-width: 650px;
  height: 600px;
  width: 100%; 
  margin-right: -75px;
  margin-bottom:0px; 

  /* Create the parallax scrolling effect */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

 }
 .parallax5{
   /* The image used */
  background-image: url(parallax5.jpg);

  /* Set a specific height */
  max-width: 650px;
  height: 600px;
  width: 100%; 
  margin-right: -75px;
  margin-bottom:0px; 

  /* Create the parallax scrolling effect */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

 }
 .parallax6{
   /* The image used */
  background-image: url(design.jpg);

  /* Set a specific height */
  max-width: 650px;
  height: 600px;
  width: 100%; 
  margin-right: -75px;
  margin-bottom:0px; 

  /* Create the parallax scrolling effect */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

 }
 .parallax7{
   /* The image used */
  background-image: url(data.jpg);

  /* Set a specific height */
  max-width: 650px;
  height: 600px;
  width: 100%; 
  margin-right: -75px;
  margin-bottom:0px; 

  /* Create the parallax scrolling effect */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

 }
 #main-content .content{
  width: 40%;
 }
 #main-content .content p{
  font: 2rem 'Rajdhani', sans-serif;

 }
#services{
  margin-top: 30px;
  display: flex;
  flex-direction: row;
  justify-content: space-around;

}

#services .heading h1{
  font-size: 5rem;
  font-family: 'Rajdhani', sans-serif;
  margin: 70px 100px;
  max-width: 50%;
  color: #00d2ff;
}
.row{
  display: flex;
  flex-direction: column;
 }
 .row li{
  font-size: 2rem;
  font-family: 'Rajdhani', sans-serif;
  color: #0b6072;
 }
 .btn-outline-primary{
  width: 40%;
  border-radius: 10%;
  margin-left: 40px;
  transition: 1s all;
 }
 a.btn-outline-primary{
  font-size: 1.2rem;
 }

.services-container{

  background-image: url(cool-background.png);

  /* Set a specific height */
  
  height: 500px;
  width: 100%; 
  margin-right: -75px;
  margin-bottom:0px; 

  /* Create the parallax scrolling effect */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

 }
#main-footer .row{
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}
#main-footer p{
  color: #900C3F;
  font-size: 1.3rem;
}
.footer-links p a{
  color: #900C3F;
  text-decoration: none;
  font-size: 1.3rem;

}

/* styling for services page */
.services .title{
  margin-left: 100px; 
  font-size: 4rem;
  font-family: 'Rajdhani', sans-serif;
  letter-spacing: 2px;
  font-weight: bold;
  text-transform: uppercase;
  text-shadow: rgba(0, 0, 0, 0.9);
}
.services .header{
  font-size: 3rem;
  font-family: 'Rajdhani', sans-serif;
  letter-spacing: 2px;
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 20px;
  text-shadow: rgba(0,0,0,5 );
  margin-left: 420px;
}
.services p{
  margin-left: 250px;
  text-align: left;

}

/* MEDIA QUERIES */

@media only screen and (min-device-width : 320px) and (max-device-width : 896px){

  #particles-js{
    height: 50vh;
    width: 100%;
    }
    .hero-content-area h3{
      font-size: 2rem;
      font-weight: bold;
    }
    .btn{
      font-size: 2rem;
      padding: 20px 40px;
    }
.grid{
        display: flex;
        width: 100%;
        flex-direction: column;
        justify-content: center;
        align-items: center;
   }
   .grid li{
    flex-direction: column;
    flex-basis: 100%;
   
   }
   #main-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

   }
   .parallax, .parallax2, .parallax3, .parallax4,.parallax5, .parallax6,.parallax7{
    max-width: 120%;
    margin-left: 80px;
    margin-top: 20px;
    }
    .content{
      width: 200%;
    }
  .content .title{
  font-family: 'Rajdhani', sans-serif;
  font-size: 5rem;
  text-transform: uppercase;
  margin-left: 20px;
  margin-top: 30px;
  }
  #main-content .content p{
    font-size: 3rem;
    width: 100%;
  }

  
}

@media only screen and (min-width: 900px) {
  .parallax, .parallax2, .parallax3, .parallax4,.parallax5, .parallax6,.parallax7{
    max-width: 50%;
    margin-left: 80px;
    margin-top: 20px;
    }

.content .title{
  font-family: 'Rajdhani', sans-serif;
  font-size: 3rem;
  text-transform: uppercase;
  margin-left: 40px;
  margin-top: 30px;
  }
  #main-content .content p{
    margin-left: 40px;
    font-size: 2rem;
    width: 100%;
  }
} 
/* 
}
@media screen and (min-width: 1600px) {
  
}*/
@media screen and (min-width: 1900px) {

.container2{
  margin: 0 auto;
}

  .parallax, .parallax2, .parallax3, .parallax4,.parallax5, .parallax6,.parallax7{
    max-width: 60%;
    margin-left: 110px;
    margin-top: 20px;
    }

.content .title{
  font-family: 'Rajdhani', sans-serif;
  font-size: 3rem;
  text-transform: uppercase;
  margin-left: 100px;
  margin-top: 30px;
  }
  #main-content .content p{
    margin-left: 100px;
    font-size: 2rem;
    width: 100%;
  }
  .btn-outline-primary{
  
  margin-left: 100px;
  
 }

  .services p{
  margin-left: 650px;
  text-align: left;

}
.services .header{

  margin-left: 675px;
}
} 


